Bug 204387 - devel/pure-stllib fails to build with GCC 4.9:
Summary: devel/pure-stllib fails to build with GCC 4.9:
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-11-09 09:23 UTC by Gerald Pfeifer
Modified: 2016-01-22 16:00 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback-
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-11-09 09:23:15 UTC
We are working to move the default version of GCC in ports (lang/gcc)
from GCC 4.8 to GCC 4.9.

Sadly this port is one of a few that blocks this update, cf.

http://package22.nyi.freebsd.org/data/101amd64-default-PR196712/2015-10-25_21h38m31s/logs/errors/pure-stllib-0.5_2.log
Comment 1 Vanilla I. Shu freebsd_committer 2016-01-21 06:45:42 UTC
Fixed, thanks.
Comment 2 commit-hook freebsd_committer 2016-01-21 06:46:33 UTC
A commit references this bug:

Author: vanilla
Date: Thu Jan 21 06:45:36 UTC 2016
New revision: 406828
URL: https://svnweb.freebsd.org/changeset/ports/406828

Log:
  Fix build with gcc4.9.

  PR:		204387
  Submitted by:	gerald@
  Approved by:	maintainer via twitter.

Changes:
  head/devel/pure-stllib/files/patch-stlbase.hpp
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-21 06:48:14 UTC
@Vanilla, please assign issue to yourself prior to commit, or at least on close.

Also, re-opening this for MFH
Comment 4 commit-hook freebsd_committer 2016-01-22 16:00:15 UTC
A commit references this bug:

Author: vanilla
Date: Fri Jan 22 15:59:35 UTC 2016
New revision: 406936
URL: https://svnweb.freebsd.org/changeset/ports/406936

Log:
  MFH: r406821 r406828

  1: Upgrade to 0.6.
  2: remove USE_GCC.
  3: Fix build with gcc4.9.

  PR:		204387
  Submitted by:	gerald@
  Approved by:	portmgr@ (antoine)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/devel/pure-stllib/Makefile
  branches/2016Q1/devel/pure-stllib/distinfo
  branches/2016Q1/devel/pure-stllib/files/patch-Makefile
  branches/2016Q1/devel/pure-stllib/files/patch-stlbase.hpp